$kind: http-request
url: "{{sahara_local}}recruitment/communications/ef39fc7a-b37d-4b6a-86d7-ad9fb0\
  baa9fd/update"
method: PUT
body:
  type: json
  content: "{\r

    \  \"company_id\": \"8f4ebe27-4319-4276-9a21-6811591636cb\",\r

    \  \"company_contact_id\":
    \"32a98665-d805-4af4-9971-48d5e602b949\",//Nullable, depends on company\r

    \  \"job_order_id\": \"9b7d6714-dfc2-4817-92c1-a507f9124858\", //Nullable\r

    \  \"initiated_by\":\"0f806850-7c2f-4372-8343-932d5f9973aa\", //Nullable
    default to logged in user\r

    \  \"type\": \"call\",//email,call,meeting,note,document\r

    \  \"subject\": \"Candidate Interview Feedback\",\r

    \  \"content\": \"Client said the interview went well. Awaiting final
    approval.\",\r

    \  \"direction\": \"inbound\",//inbound,outbound\r

    \  \"date_time\": \"2025-07-03T10:00:00\",\r

    \  \"needs_follow_up\": true,\r

    \  \"follow_up_date\": \"2025-07-05T09:00:00\",\r

    \  \"follow_up_notes\": \"Send candidate second stage instructions.\",\r

    \ 
    \"metadata\":\"{\\\"call_duration\\\":\\\"15min\\\",\\\"recording_url\\\":\\\
    \"https://example.com/recording/12345\\\"}\"\r

    }\r\n"
auth:
  type: bearer
  credentials:
    token: "{{sahara_local_token}}"
order: 5000
